<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Flexbox Exercise</title>
    <style>
        * {
            margin: 0;
            padding: 0;
            font-family: Calibri;
        }

        html,
        body {
            width: 100%;
            height: 100%;
        }

        #container {
            width: 100%;
            height: 100%;
            display: flex;
            flex-wrap: wrap;
        }

        #container>div {
            display: flex;
            justify-content: center;
            align-items: center;
        }

        #header {
            height: 100px;
            flex-basis: 100%;
            background: magenta;
            order: 1;
        }

        #left {
            height: calc(100% - 175px);
            background: lightcyan;
            flex: 2;
            order: 2;
        }

        #main {
            height: calc(100% - 175px);
            background: lightskyblue;
            flex: 4;
            display: block !important;
            overflow-y: auto;
            overflow-x: hidden;
            order: 4;
        }

        #main>p {
            display: block;
        }

        #right {
            height: calc(100% - 175px);
            background: limegreen;
            flex: 1;
            order: 3;
        }

        #footer {
            height: 75px;
            background: lime;
            flex-basis: 100%;
            order: 5;
        }

        @media (max-width: 500px) {

            /* Mobiilne brauser */

            #left {
                flex: 1;
            }

            #right {
                flex: 1;
            }

            #main {
                flex-basis: 100%;
            }

        }
    </style>
</head>

<body>
    <div id="container">
        <div id="header">Header</div>
        <div id="left">Left</div>
        <div id="main">Main
            <p>
                Lorem ipsum dolor sit amet consectetur adipisicing elit. Magni officiis dolore minima laboriosam,
                asperiores cum! Eligendi harum, incidunt facere odio dicta deserunt exercitationem enim. Voluptates unde
                consequatur praesentium ratione nisi.
            </p>
            <p>
                Lorem ipsum dolor sit amet consectetur adipisicing elit. Magni officiis dolore minima laboriosam,
                asperiores cum! Eligendi harum, incidunt facere odio dicta deserunt exercitationem enim. Voluptates unde
                consequatur praesentium ratione nisi.
            </p>
            <p>
                Lorem ipsum dolor sit amet consectetur adipisicing elit. Magni officiis dolore minima laboriosam,
                asperiores cum! Eligendi harum, incidunt facere odio dicta deserunt exercitationem enim. Voluptates unde
                consequatur praesentium ratione nisi.
            </p>
            <p>
                Lorem ipsum dolor sit amet consectetur adipisicing elit. Magni officiis dolore minima laboriosam,
                asperiores cum! Eligendi harum, incidunt facere odio dicta deserunt exercitationem enim. Voluptates unde
                consequatur praesentium ratione nisi.
            </p>
            <p>
                Lorem ipsum dolor sit amet consectetur adipisicing elit. Magni officiis dolore minima laboriosam,
                asperiores cum! Eligendi harum, incidunt facere odio dicta deserunt exercitationem enim. Voluptates unde
                consequatur praesentium ratione nisi.
            </p>
            <p>
                Lorem ipsum dolor sit amet consectetur adipisicing elit. Magni officiis dolore minima laboriosam,
                asperiores cum! Eligendi harum, incidunt facere odio dicta deserunt exercitationem enim. Voluptates unde
                consequatur praesentium ratione nisi.
            </p>
            <p>
                Lorem ipsum dolor sit amet consectetur adipisicing elit. Magni officiis dolore minima laboriosam,
                asperiores cum! Eligendi harum, incidunt facere odio dicta deserunt exercitationem enim. Voluptates unde
                consequatur praesentium ratione nisi.
            </p>
            <p>
                Lorem ipsum dolor sit amet consectetur adipisicing elit. Magni officiis dolore minima laboriosam,
                asperiores cum! Eligendi harum, incidunt facere odio dicta deserunt exercitationem enim. Voluptates unde
                consequatur praesentium ratione nisi.
            </p>
            <p>
                Lorem ipsum dolor sit amet consectetur adipisicing elit. Magni officiis dolore minima laboriosam,
                asperiores cum! Eligendi harum, incidunt facere odio dicta deserunt exercitationem enim. Voluptates unde
                consequatur praesentium ratione nisi.
            </p>
            <p>
                Lorem ipsum dolor sit amet consectetur adipisicing elit. Magni officiis dolore minima laboriosam,
                asperiores cum! Eligendi harum, incidunt facere odio dicta deserunt exercitationem enim. Voluptates unde
                consequatur praesentium ratione nisi.
            </p>
            <p>
                Lorem ipsum dolor sit amet consectetur adipisicing elit. Magni officiis dolore minima laboriosam,
                asperiores cum! Eligendi harum, incidunt facere odio dicta deserunt exercitationem enim. Voluptates unde
                consequatur praesentium ratione nisi.
            </p>
            <p>
                Lorem ipsum dolor sit amet consectetur adipisicing elit. Magni officiis dolore minima laboriosam,
                asperiores cum! Eligendi harum, incidunt facere odio dicta deserunt exercitationem enim. Voluptates unde
                consequatur praesentium ratione nisi.
            </p>
            <p>
                Lorem ipsum dolor sit amet consectetur adipisicing elit. Magni officiis dolore minima laboriosam,
                asperiores cum! Eligendi harum, incidunt facere odio dicta deserunt exercitationem enim. Voluptates unde
                consequatur praesentium ratione nisi.
            </p>
            <p>
                Lorem ipsum dolor sit amet consectetur adipisicing elit. Magni officiis dolore minima laboriosam,
                asperiores cum! Eligendi harum, incidunt facere odio dicta deserunt exercitationem enim. Voluptates unde
                consequatur praesentium ratione nisi.
            </p>
            <p>
                Lorem ipsum dolor sit amet consectetur adipisicing elit. Magni officiis dolore minima laboriosam,
                asperiores cum! Eligendi harum, incidunt facere odio dicta deserunt exercitationem enim. Voluptates unde
                consequatur praesentium ratione nisi.
            </p>
            <p>
                Lorem ipsum dolor sit amet consectetur adipisicing elit. Magni officiis dolore minima laboriosam,
                asperiores cum! Eligendi harum, incidunt facere odio dicta deserunt exercitationem enim. Voluptates unde
                consequatur praesentium ratione nisi.
            </p>
        </div>
        <div id="right">Right</div>
        <div id="footer">Footer</div>
    </div>
</body>

</html>